## org.apache.solr.client.solrj
Enum SolrQuery.ORDER

    java.lang.Object
      java.lang.Enum<SolrQuery.ORDER>
          org.apache.solr.client.solrj.SolrQuery.ORDER

All Implemented Interfaces:
  Serializable, Comparable<SolrQuery.ORDER>

Enclosing class:
  SolrQuery

    public static enum SolrQuery.ORDER

extends Enum<SolrQuery.ORDER>

Enum Constant Summary
`asc`
`desc`

Method Summary
`SolrQuery.ORDER` `reverse()`
`static SolrQuery.ORDER` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrQuery.ORDER[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### desc

    public static final SolrQuery.ORDER desc

### asc

    public static final SolrQuery.ORDER asc

Method Detail

### values

    public static final SolrQuery.ORDER[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrQuery.ORDER c : SolrQuery.ORDER.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrQuery.ORDER valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### reverse

    public SolrQuery.ORDER reverse()